SELECT 
    oseas, 
    to_char(CASE WHEN extract(month FROM o.odate) >= 6 THEN -5 ELSE 7 END + extract(month FROM o.odate),'FM00')||' - '||to_char(o.odate,'TMMon') order_month,
    version, 
    iter, 
    sum(fb_val_loc) value_loc
FROM
    rlarp.osmfs_dev  o
GROUP BY
    oseas, 
    to_char(CASE WHEN extract(month FROM o.odate) >= 6 THEN -5 ELSE 7 END + extract(month FROM o.odate),'FM00')||' - '||to_char(o.odate,'TMMon'),
    version, 
    iter
ORDER BY
    oseas asc,
    order_month asc


------------------------------------------short ships-------------------------------------
SELECT
    version,
    iter,
    oseas,
    SUM(FB_VAL_LOC::numeric *r_rate::Numeric)
FROM
    RLARP.osmf_dev
WHERE
    --oseas = 2020
    fs_line = '41010'
    --AND odate < '2020-04-01'
    AND CALC_STATUS <> 'CANCELED'
    AND NOT (calc_status = 'CLOSED' AND flag = 'REMAINDER')
GROUP BY 
    version,
    iter,
    oseas
    
    select distinct version from rlarp.osm_pool
    

    
    
SELECT 
    oseas, 
    to_char(CASE WHEN extract(month FROM o.odate) >= 6 THEN -5 ELSE 7 END + extract(month FROM o.odate),'FM00')||' - '||to_char(o.odate,'TMMon') order_month,
    r_currency,
    r_rate,
    sum(fb_val_loc) value_loc
FROM
    rlarp.osmf_dev  o
WHERE
    oseas >= 2020
    --AND fs_line = '41010'
    --AND odate < '2020-04-01'
GROUP BY
    oseas, 
    to_char(CASE WHEN extract(month FROM o.odate) >= 6 THEN -5 ELSE 7 END + extract(month FROM o.odate),'FM00')||' - '||to_char(o.odate,'TMMon'),
    r_currency,
    r_rate
    --glec
ORDER BY
    oseas asc,
    order_month asc
